# MetaElement< algebra::FreeMonoidProductBase< Self >, T > Struct Template Reference
[Fmp]

Element of a monoid i.e. words. More...

Inheritance diagram for MetaElement< algebra::FreeMonoidProductBase< Self >, T >:
[legend]

List of all members.

## Public Member Functions

first_monoid_elt_t & | first ()
| First monoid's accessor.
const first_monoid_elt_t & | first () const
| First monoid's const accessor.
second_monoid_elt_t & | second ()
| Second monoid's accessor.
const second_monoid_elt_t & | second () const
| Second monoid's const accessor.
void | mirror ()
| In-place mirror transformation.
template<class Ftor >
Ftor::result_type | length (Ftor f)
| Length.

## Protected Member Functions

| MetaElement ()
| Default constructor is protected since it is an abstract class.
| MetaElement (const MetaElement &other)
| Copy constructor is protected since it is an abstract class.

## Detailed Description

### template<class Self, typename T>
struct vcsn::MetaElement< algebra::FreeMonoidProductBase< Self >, T >

Element of a monoid i.e. words.

Definition at line 114 of file freemonoid_product_base.hh.